Автор Тема: Ошибки при установке пакетов  (Прочитано 5842 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн zom900

  • Постоялец
  • ***
  • Автор темы
  • Сообщений: 133
    • SE900.ru
Ошибки при установке пакетов
« : Ноябрь 25, 2012, 19:26:04 »
При попытки установки любого софта из консоли вываливает вот это:
adas@localhost:/tmp$ sudo apt-get install gimp                     
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  gimp-data libbabl-0.0-0 libgegl-0.0-0 libgimp2.0
Suggested packages:
  libgimp-perl gimp-data-extras gvfs-backends ghostscript
The following NEW packages will be installed:
  gimp gimp-data libbabl-0.0-0 libgegl-0.0-0 libgimp2.0
0 upgraded, 5 newly installed, 0 to remove and 134 not upgraded.
2 not fully installed or removed.
Need to get 7651kB of archives.
After this operation, 52.3MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://old-releases.ubuntu.com jaunty-security/main libgimp2.0 2.6.6-0ubuntu1.1 [592kB]
Get:2 http://old-releases.ubuntu.com jaunty-security/main gimp-data 2.6.6-0ubuntu1.1 [1975kB]
Get:3 http://old-releases.ubuntu.com jaunty/main libbabl-0.0-0 0.0.22-1 [83.0kB]
Get:4 http://old-releases.ubuntu.com jaunty/main libgegl-0.0-0 0.0.22-0ubuntu3 [379kB]
Get:5 http://old-releases.ubuntu.com jaunty-security/main gimp 2.6.6-0ubuntu1.1 [4621kB]
Fetched 7651kB in 2min 16s (55.9kB/s)                                         
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
   LANGUAGE = (unset),
   LC_ALL = (unset),
   LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Setting up tzdata (2010m~repack-0ubuntu0.9.04) ...

Current default timezone: 'America/Los_Angeles'
date: invalid date 'Sun Nov 25 15:41:07 UTC 2012'
dpkg: error processing tzdata (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 tzdata
E: Sub-process /usr/bin/dpkg returned an error code (1)


лог synaptic при установке gimp

adas@localhost:/tmp$ sudo synaptic

(process:16351): Gtk-WARNING **: Locale not supported by C library.
   Using the fallback 'C' locale.

(synaptic:16351): libglade-WARNING **: Error loading image: Couldn't recognize the image file format for file '/usr/share/synaptic/glade/synaptic_mini.xpm'

(synaptic:16351): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `icon'

(synaptic:16351): libglade-WARNING **: Error loading image: Couldn't recognize the image file format for file '/usr/share/synaptic/glade/synaptic_mini.xpm'

(synaptic:16351): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `icon'

(synaptic:16351): libglade-WARNING **: Error loading image: Couldn't recognize the image file format for file '/usr/share/synaptic/glade/synaptic_mini.xpm'

(synaptic:16351): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `icon'

(synaptic:16351): libglade-WARNING **: Error loading image: Couldn't recognize the image file format for file '/usr/share/synaptic/glade/synaptic.xpm'

(synaptic:16351): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `icon'

(synaptic:16351): libglade-WARNING **: Error loading image: Couldn't recognize the image file format for file '/usr/share/synaptic/glade/synaptic_mini.xpm'

(synaptic:16351): libglade-WARNING **: could not convert string to type `GdkPixbuf' for property `icon'
adas@localhost:/tmp$

Как решить проблему?
« Последнее редактирование: Ноябрь 25, 2012, 19:47:50 от zom900 »

Оффлайн HsH

  • Administrator
  • *****
  • Сообщений: 3169
Re: Ошибки при установке пакетов
« Ответ #1 : Ноябрь 25, 2012, 20:05:33 »

   zom900, нужно было уточнить, что проблема с дистрибутивом Ubuntop на ARM-планшете из  соответствующей темы - это имеет значение.

  Вам необходимо разрешить конфлиуты пакетной базы - сконфигурировать tzdata и обновить пакеты до последних доступных версий. Честно говоря, дистрибутив довольно старый - есть возможность поставить что-нибудь посвежее?

   Приведите вывод
sudo apt-get update
sudo dpkg --configure -a

Оффлайн zom900

  • Постоялец
  • ***
  • Автор темы
  • Сообщений: 133
    • SE900.ru
Re: Ошибки при установке пакетов
« Ответ #2 : Ноябрь 25, 2012, 23:18:47 »
   zom900, нужно было уточнить, что проблема с дистрибутивом Ubuntop на ARM-планшете
Упс... Сорри.. Просто не хотел создавать дополнительную тему... Кстати то не планшет а нетбук  ;)
В общем выдает вот это:
adas@localhost:/tmp$ sudo dpkg --configure -a
Setting up openoffice.org-emailmerge (1:3.0.1-9ubuntu3.3) ...
Adding extension /usr/lib/openoffice/basis3.0/program/mailmerge.py...BusyBox v1.10.2 (2010-10-25 17:12:51 PDT) multi-call binary

Usage: mktemp [-dt] [-p DIR] TEMPLATE

Create a temporary file with its name based on TEMPLATE.
TEMPLATE is any name with six 'Xs' (i.e., /tmp/temp.XXXXXX).

Options:
   -d   Make a directory instead of a file
   -t   Generate a path rooted in temporary directory
   -p DIR   Use DIR as a temporary directory (implies -t)

For -t or -p, directory is chosen as follows:
$TMPDIR if set, else -p DIR, else /tmp

dpkg: error processing openoffice.org-emailmerge (--configure):
 subprocess post-installation script returned error exit status 1
Setting up tzdata (2010m~repack-0ubuntu0.9.04) ...

Current default timezone: 'America/Los_Angeles'
date: invalid date 'Sun Nov 25 19:17:12 UTC 2012'
dpkg: error processing tzdata (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 openoffice.org-emailmerge
 tzdata

 
Цитировать
есть возможность поставить что-нибудь посвежее?
Да есть Ubuntu Lucid (10.4), но у него проблема со звуком... Т.е. пока тело в доке ни позвонить, не видео посмотреть ни музыку с радио послушать... В общем не айс (((
« Последнее редактирование: Ноябрь 25, 2012, 23:26:17 от zom900 »

Оффлайн HsH

  • Administrator
  • *****
  • Сообщений: 3169
Re: Ошибки при установке пакетов
« Ответ #3 : Ноябрь 27, 2012, 11:07:54 »

   Приведите вывод
sudo apt-get remove openoffice.org-emailmerge
sudo apt-get install --reinstall tzdata

Оффлайн zom900

  • Постоялец
  • ***
  • Автор темы
  • Сообщений: 133
    • SE900.ru
Re: Ошибки при установке пакетов
« Ответ #4 : Декабрь 09, 2012, 23:15:24 »
Опять те же грабли только в профиль...
Проблема возникла после установки пакета openoffice.org-base
Пробывал удалить проблемный пакет
adas@localhost:/$ sudo apt-get reinstall openoffice.org-base
E: Invalid operation reinstall
adas@localhost:/$ sudo apt-get reinstall openoffice.org-base
E: Invalid operation reinstall
adas@localhost:/$ sudo apt-get reremove openoffice.org-base
E: Invalid operation reremove
adas@localhost:/$ sudo apt-get remove openoffice.org-base
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package openoffice.org-base is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 132 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
   LANGUAGE = (unset),
   LC_ALL = (unset),
   LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Setting up tzdata (2010m~repack-0ubuntu0.9.04) ...

Current default timezone: 'America/Los_Angeles'
date: invalid date 'Sun Dec  9 18:57:25 UTC 2012'
dpkg: error processing tzdata (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 tzdata
E: Sub-process /usr/bin/dpkg returned an error code (1)
adas@localhost:/$

При установке софта выдает это
adas@localhost:/$ sudo apt-get install transmission      
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following extra packages will be installed:
  transmission-cli transmission-common transmission-daemon transmission-gtk
The following NEW packages will be installed:
  transmission transmission-cli transmission-common transmission-daemon
  transmission-gtk
0 upgraded, 5 newly installed, 0 to remove and 132 not upgraded.
1 not fully installed or removed.
Need to get 1114kB of archives.
After this operation, 4370kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://old-releases.ubuntu.com jaunty-security/main transmission-common 1.51-0ubuntu3.1 [146kB]
Get:2 http://old-releases.ubuntu.com jaunty-security/universe transmission-daemon 1.51-0ubuntu3.1 [212kB]
Get:3 http://old-releases.ubuntu.com jaunty-security/universe transmission-cli 1.51-0ubuntu3.1 [435kB]
Get:4 http://old-releases.ubuntu.com jaunty-security/main transmission-gtk 1.51-0ubuntu3.1 [321kB]
Get:5 http://old-releases.ubuntu.com jaunty-security/universe transmission 1.51-0ubuntu3.1 [920B]
Fetched 1114kB in 29s (37.5kB/s)                                              
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
   LANGUAGE = (unset),
   LC_ALL = (unset),
   LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Setting up tzdata (2010m~repack-0ubuntu0.9.04) ...

Current default timezone: 'America/Los_Angeles'
date: invalid date 'Sun Dec  9 19:02:02 UTC 2012'
dpkg: error processing tzdata (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 tzdata
E: Sub-process /usr/bin/dpkg returned an error code (1)

sudo apt-get install --reinstall tzdata
Вось
adas@localhost:/$ sudo apt-get install --reinstall tzdata
Reading package lists... Done
Building dependency tree      
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 132 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
   LANGUAGE = (unset),
   LC_ALL = (unset),
   LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Setting up tzdata (2010m~repack-0ubuntu0.9.04) ...

Current default timezone: 'America/Los_Angeles'
date: invalid date 'Sun Dec  9 19:13:34 UTC 2012'
dpkg: error processing tzdata (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 tzdata
E: Sub-process /usr/bin/dpkg returned an error code (1)

Не пойму толь проблема в локали, толи в tzdata..
« Последнее редактирование: Декабрь 09, 2012, 23:19:40 от zom900 »

Оффлайн zom900

  • Постоялец
  • ***
  • Автор темы
  • Сообщений: 133
    • SE900.ru
Re: Ошибки при установке пакетов
« Ответ #5 : Декабрь 10, 2012, 21:48:41 »
В общем сам нашел решение данной проблемы  :)
Нужно было удалить по пути /var/lib/dpkg/info все что связанос проблемным скриптом... В моем случае это tzdata
В общем как то так:
cd /var/lib/dpkg/info
sudo rm tzdata.*
sudo apt-get -f install
Может кому и пригодится  :)